# Uses of Class
org.snpeff.interval.Markers

Packages that use Markers
Package
Description
org.snpeff
org.snpeff.fileIterator
org.snpeff.interval
org.snpeff.interval.tree
org.snpeff.nextProt
org.snpeff.serializer
org.snpeff.snpEffect
org.snpeff.stats
org.snpeff.svg

## Uses of Markers in org.snpeff

Methods in org.snpeff that return Markers
Modifier and Type
Method
Description
`protected Markers`
SnpEff.`loadMarkers(String fileName)`
Read markers file Supported formats: BED, TXT, BigBed, GFF

## Uses of Markers in org.snpeff.fileIterator

Methods in org.snpeff.fileIterator that return Markers
Modifier and Type
Method
Description
`static Markers`
BedFileIterator.`load(String bedFileName, boolean verbose)`
`Markers`
MarkerFileIterator.`loadMarkers()`

## Uses of Markers in org.snpeff.interval

Methods in org.snpeff.interval that return Markers
Modifier and Type
Method
Description
`Markers`
Markers.`add(Markers markersToAdd)`
Add all intervals
`Markers`
Markers.`intersect()`
Perform the intersection of all overlapping sub-intervals
`Markers`
Markers.`intersect(Marker marker)`
Intersection between 'marker' and all sub-intervals
`Markers`
Gene.`markers()`
`Markers`
IntervalAndSubIntervals.`markers()`
A list of all markers in this transcript
`Markers`
Transcript.`markers()`
A list of all markers in this transcript
`Markers`
Markers.`merge()`
Merge overlapping intervals This is the same as 'union()' method, but the algorithm is more efficient
`Markers`
Marker.`minus(Marker interval)`
Return the difference between two markers
`Markers`
Markers.`minus(Marker interval)`
Calculate 'set minus' using one interval
`Markers`
Markers.`minus(Markers intervals)`
Returns the result of this set minus 'intervals'
`Markers`
CytoBands.`query(Marker marker)`
`Markers`
Exon.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
IntervalAndSubIntervals.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
Intron.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
Marker.`query(Marker marker)`
Query all genomic regions that intersect 'marker' (this makes sense in Gene, Transcript, Exon, etc.)
`Markers`
Marker.`query(IntervalForest intervalForest)`
Return a collection of intervals that intersect this marker
`Markers`
Transcript.`query(Marker marker)`
Query all genomic regions that intersect 'marker'
`Markers`
VariantBnd.`query(IntervalForest intervalForest)`
Return a collection of intervals that intersect both ends of this variant
`static Markers`
Markers.`readMarkers(String fileName)`
Read markers from a file Supported formats: BED, BigBed, VCF, TXT
`static Markers`
MarkerUtil.`readTxt(String fileName, Genome genome, int positionBase)`
Read intervals from a file using a simplt TXT format Format: chr \t start \t end \t id Note: Zero-based positions
`Markers`
Markers.`sort()`
Sort intervals
`Markers`
Markers.`sort(boolean byEnd, boolean reverse)`
Sort intervals
`Markers`
Markers.`union()`
Perform the union of all overlapping intervals
`Markers`
Markers.`unique()`
Remove duplicated markers
Methods in org.snpeff.interval with parameters of type Markers
Modifier and Type
Method
Description
`Markers`
Markers.`add(Markers markersToAdd)`
Add all intervals
`void`
IntervalAndSubIntervals.`addAll(Markers markers)`
Add all markers
`static Map<Marker,Marker>`
MarkerUtil.`collapseZeroGap(Markers markersOri)`
Collapse adjacent intervals (i.e.
`boolean`
Markers.`equals(Markers intervals)`
Are all intervals equal?
`Markers`
Markers.`minus(Markers intervals)`
Returns the result of this set minus 'intervals'
Constructors in org.snpeff.interval with parameters of type Markers
Modifier
Constructor
Description
``
`IntervalSetIterator(Markers intervals)`
``
`Markers(Markers otherMarkers)`

## Uses of Markers in org.snpeff.interval.tree

Fields in org.snpeff.interval.tree declared as Markers
Modifier and Type
Field
Description
`protected Markers`
IntervalTree.`intervals`
`protected Markers`
IntervalTreeOri.`intervals`
`protected Markers`
IntervalTreeArray.`markers`
Methods in org.snpeff.interval.tree that return Markers
Modifier and Type
Method
Description
`Markers`
IntervalTree.`getIntervals()`
`Markers`
IntervalTreeArray.`getIntervals()`
`Markers`
IntervalTreeOri.`getIntervals()`
`Markers`
Itree.`getIntervals()`
`Markers`
IntervalForest.`intersect(Markers markers)`
Return the intersection of 'markers' and this IntervalForest For each marker 'm' in 'markers' - query the tree to get all markers intersecting 'm' - create a new interval which is the intersection of 'm' with all the resutls from the previous query.
`Markers`
IntervalForest.`query(Marker marker)`
Query all intervals that intersect with 'interval'
`Markers`
IntervalForest.`query(Markers marker)`
Query all intervals that intersect with any interval in 'intervals'
`Markers`
IntervalNode.`query(Interval queryInterval)`
Perform an interval intersection query on the node
`Markers`
IntervalNodeOri.`query(Interval target)`
Perform an interval intersection query on the node
`Markers`
IntervalTree.`query(Interval interval)`
Perform an interval query, returning the intervals that intersect with 'interval'
`Markers`
IntervalTreeArray.`query(Interval marker)`
Query index to find all VCF entries intersecting 'marker' Store VCF entries in 'results'
`Markers`
IntervalTreeOri.`query(Interval interval)`
Perform an interval query, returning the intervals that intersect with 'interval'
`Markers`
Itree.`query(Interval interval)`
Perform an interval query, returning the intervals that intersect with 'interval'
`Markers`
IntervalForest.`queryUnique(Markers markers)`
Query unique intervals that intersect with any interval in 'markers' I.e.: Return a set of intervals that intersects (at least once) with any interval in 'markers'
`Markers`
IntervalForest.`stab(String chromo, int point)`
Obtain all intervals that intersect with 'point'
`Markers`
IntervalForest.`stab(Marker marker)`
Obtain all intervals that intersect with 'marker.start'
`Markers`
IntervalNode.`stab(Integer point)`
Perform a stabbing query on the node
`Markers`
IntervalNodeOri.`stab(Integer point)`
Perform a stabbing query on the node
`Markers`
IntervalTree.`stab(int point)`
Perform a stabbing query, returning the interval objects
`Markers`
IntervalTreeArray.`stab(int point)`
`Markers`
IntervalTreeOri.`stab(int point)`
Perform a stabbing query, returning the interval objects
`Markers`
Itree.`stab(int point)`
Perform a stabbing query, returning the interval objects
Methods in org.snpeff.interval.tree with parameters of type Markers
Modifier and Type
Method
Description
`void`
IntervalForest.`add(Markers intervals)`
Add all intervals
`void`
IntervalTree.`add(Markers markers)`
Add all intervals to interval tree's list Note: Marks the tree as 'not inSync', but will not rebuild the tree until the next query or call to build
`void`
IntervalTreeArray.`add(Markers markers)`
`void`
IntervalTreeOri.`add(Markers markers)`
Add all intervals to interval tree's list Note: Marks the tree as 'not inSync', but will not rebuild the tree until the next query or call to build
`void`
Itree.`add(Markers markers)`
Add all intervals to interval tree's list
`protected void`
IntervalNode.`build(Markers markers)`
Build interval tree
`protected int`
IntervalTreeArray.`build(Markers markers)`
Index intervals from 'start' to 'end' (index in 'markers')
`Markers`
IntervalForest.`intersect(Markers markers)`
Return the intersection of 'markers' and this IntervalForest For each marker 'm' in 'markers' - query the tree to get all markers intersecting 'm' - create a new interval which is the intersection of 'm' with all the resutls from the previous query.
`protected IntervalNode`
IntervalNode.`newNode(Markers markers)`
Create a new node
`Markers`
IntervalForest.`query(Markers marker)`
Query all intervals that intersect with any interval in 'intervals'
`protected void`
IntervalTreeArray.`query(Interval marker, int idx, Markers results)`
Query index to find all VCF entries intersecting 'marker', starting from node 'idx' Store VCF entries in 'results'
`protected void`
IntervalTreeArray.`queryIntersects(Interval marker, int idx, Markers results)`
Query entries intersecting 'marker' at node 'idx'
`Markers`
IntervalForest.`queryUnique(Markers markers)`
Query unique intervals that intersect with any interval in 'markers' I.e.: Return a set of intervals that intersects (at least once) with any interval in 'markers'
`protected void`
IntervalTreeArray.`stab(int point, int idx, Markers results)`
`protected void`
IntervalTreeArray.`stabIntersects(int point, int idx, Markers results)`
Stab entries intersecting 'point' at node 'idx'
Constructors in org.snpeff.interval.tree with parameters of type Markers
Modifier
Constructor
Description
``
`IntervalForest(Markers markers)`
``
`IntervalNode(Markers markers)`
``
`IntervalNodeOri(Markers markers)`
``
`IntervalTree(Markers intervals)`
Instantiate an interval tree with a list of intervals
``
`IntervalTreeArray(Markers markers)`
Instantiate an interval tree with a list of intervals
``
`IntervalTreeOri(Markers intervals)`
Instantiate an interval tree with a list of intervals

## Uses of Markers in org.snpeff.nextProt

Methods in org.snpeff.nextProt that return Markers
Modifier and Type
Method
Description
`Markers`
NextProtMarkerFactory.`addMarkers(NextProtXmlEntry entry, NextProtXmlIsoform isoform, NextProtXmlAnnotation annotation, Location location, String trId)`
Create markers and add them
`Markers`
NextProtMarkerFactory.`getMarkers()`
`Markers`
NextProtMarkerFactory.`nextProt(Transcript tr, String accession, String name, int aaStart, int aaEnd)`
Create a single NextProt marker
`Markers`
NextProtMarkerFactory.`nextProt(Transcript tr, NextProtXmlAnnotation annotation, Location location)`
Create a list of NextProt markers according to this annotation

## Uses of Markers in org.snpeff.serializer

Methods in org.snpeff.serializer that return Markers
Modifier and Type
Method
Description
`Markers`
MarkerSerializer.`getNextFieldMarkers()`
`Markers`
MarkerSerializer.`load(String fileName)`
Load data from file
Methods in org.snpeff.serializer with parameters of type Markers
Modifier and Type
Method
Description
`void`
MarkerSerializer.`save(String fileName, Markers markers)`
Save data to file

## Uses of Markers in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return Markers
Modifier and Type
Method
Description
`Markers`
SnpEffectPredictor.`createGenomicRegions()`
Create (and add) up-down stream, splice sites, intergenic, etc
`Markers`
SnpEffectPredictor.`getMarkers()`
`Markers`
SnpEffectPredictor.`query(Marker marker)`
Return a collection of intervals that intersect 'marker'
`Markers`
SnpEffectPredictor.`queryDeep(Marker marker)`
Return a collection of intervals that intersect 'marker' Query resulting genes, transcripts and exons to get ALL types of intervals possible
Methods in org.snpeff.snpEffect with parameters of type Markers
Modifier and Type
Method
Description
`void`
SnpEffectPredictor.`addAll(Markers markersToAdd)`
Add a set of markers
`protected void`
SnpEffectPredictor.`variantEffect(Variant variant, VariantEffects variantEffects, Markers intersects)`
Calculate variant effect for each marker in 'intersect'
Constructors in org.snpeff.snpEffect with parameters of type Markers
Modifier
Constructor
Description
``
`VariantEffectStructural(Variant variant, Markers intersects)`

## Uses of Markers in org.snpeff.stats

Constructors in org.snpeff.stats with parameters of type Markers
Modifier
Constructor
Description
``
`MineMarkerIntervals(Markers markers)`
``
`MineTwoMarkerIntervals(Markers markersA, Markers markersB)`

## Uses of Markers in org.snpeff.svg

Constructors in org.snpeff.svg with parameters of type Markers
Modifier
Constructor
Description
``
`SvgNextProt(Transcript tr, Svg svg, Markers nextprotMarkers)`